<?php
/**
 * Template name: Homepage V2
 *
 * This is the most generic template file in a WordPress theme and one of the
 * two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * For example, it puts together the home page when no home.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage classiera
 * @since classiera 1.0
 */
get_header(); ?>

<?php 

	$page = get_page($post->ID);
	$current_page_id = $page->ID;
	$page_slider = get_post_meta($current_page_id, 'page_slider', true); 

	global $redux_demo; 
	$homeLayout = $redux_demo['opt-homepage-layout-v2']['enabled'];
	if ($homeLayout):
	foreach ($homeLayout as $key=>$value) {
 
			switch($key) {
		 
					case 'banner': get_template_part( 'templates/imageheader' );
					break;
					
					case 'layerslider': get_template_part( 'templates/homev1/slidermap' );
					break;
			 
					case 'categories': get_template_part( 'templates/homev2/catsection' );
					break;	
			 
					case 'advertisement': get_template_part( 'templates/homev2/adssection' );    
					break;  
					
					case 'customads': get_template_part( 'templates/homev1/customads' );
					break;
					
					case 'premiumslider': get_template_part( 'templates/homev2/psection' );
					break;
					
					case 'callout': get_template_part( 'templates/homev2/callout' );    
					break; 
					
					case 'packages': get_template_part( 'templates/homev2/plans' );    
					break;
					
					case 'newsletter': get_template_part( 'templates/homev2/newssection' );    
					break;
				}			 
			}		 
	endif;

?>

<?php get_footer(); ?>